Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.client.webdav
Class WebdavSupportedExchange

    java.lang.Object
      org.mortbay.jetty.client.HttpExchange
          org.mortbay.jetty.client.webdav.WebdavSupportedExchange

    public class WebdavSupportedExchange

extends HttpExchange

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.jetty.client.HttpExchange
`HttpExchange.CachedExchange, HttpExchange.ContentExchange`

Field Summary

Fields inherited from class org.mortbay.jetty.client.HttpExchange
`STATUS_COMPLETED, STATUS_EXCEPTED, STATUS_EXPIRED, STATUS_PARSING_CONTENT, STATUS_PARSING_HEADERS, STATUS_SENDING_REQUEST, STATUS_START, STATUS_WAITING_FOR_COMMIT, STATUS_WAITING_FOR_CONNECTION, STATUS_WAITING_FOR_RESPONSE`

Constructor Summary
`WebdavSupportedExchange()`

Method Summary
`boolean` | `isWebdavSupported()`
`protected void` | `onResponseComplete()` Called when the entire response has been received
`protected void` | `onResponseHeader(Buffer name, Buffer value)` Called for each response header received
`void` | `waitTilCompletion()`

Methods inherited from class org.mortbay.jetty.client.HttpExchange
`addRequestHeader, addRequestHeader, cancel, configureListeners, getAddress, getEventListener, getMethod, getRequestContent, getRequestContentChunk, getRequestContentSource, getRequestFields, getRetryStatus, getScheme, getStatus, getTimeout, getURI, getVersion, isDone, onConnectionFailed, onException, onExpire, onRequestCommitted, onRequestComplete, onResponseContent, onResponseHeaderComplete, onResponseStatus, onRetry, reset, setAddress, setConfigureListeners, setEventListener, setMethod, setRequestContent, setRequestContentSource, setRequestContentType, setRequestHeader, setRequestHeader, setRetryStatus, setScheme, setTimeout, setURI, setURL, setVersion, setVersion, toString, waitForDone, waitForStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebdavSupportedExchange

    public WebdavSupportedExchange()

Method Detail

### onResponseHeader

    protected void onResponseHeader(Buffer name,
                                    Buffer value)
                             throws java.io.IOException

  Description copied from class: `HttpExchange`
  Called for each response header received

  Overrides:
    `onResponseHeader` in class `HttpExchange`
  Parameters:
    `name` - header name
    `value` - header value
  Throws:
    `java.io.IOException`

### waitTilCompletion

    public void waitTilCompletion()
                           throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

### onResponseComplete

    protected void onResponseComplete()
                               throws java.io.IOException

  Description copied from class: `HttpExchange`
  Called when the entire response has been received

  Overrides:
    `onResponseComplete` in class `HttpExchange`
  Throws:
    `java.io.IOException`

### isWebdavSupported

    public boolean isWebdavSupported()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.